--- 1.19/exim_check_attachment.sh	2018-10-12 01:27:20.930094462 -0600
+++ 1.20/exim_check_attachment.sh	2018-10-19 17:06:46.199647382 -0600
@@ -1,27 +1,38 @@
-#/bin/sh
+#!/bin/sh
 
 if [ "${1}" != "zip" ]; then
-        echo "$0: we can only scan zip files";
-        exit 0
+	echo "$0: we can only scan zip files";
+	exit 0
 fi
 
 UNZIP=/usr/bin/unzip
+OS=`uname`
 
 P=/var/spool/exim/scan/${2}
-Z=${D}/${3}
+Z=${3}
 
 cd "${P}"
 
 if [ ! -s $Z ]; then
-        exit 0;
+	exit 0;
 fi
 
-if [ $( ${UNZIP} -l "${Z}" | \
-  tail -n +4 |head -n -2 | \
-  egrep -i '[.](bat|btm|cmd|com|cpl|dat|dll|exe|lnk|msi|pif|prf|reg|scr|vb|vbs|url|jar)$' | \
-  wc -l ) -gt 0 ]
-then
- exit 1
+if [ "${OS}" = "FreeBSD" ]; then
+	if [ $( ${UNZIP} -l "${Z}" | \
+		tail -n +4 | \
+		egrep -i '[.](bat|btm|cmd|com|cpl|dat|dll|exe|lnk|msi|pif|prf|reg|scr|vb|vbs|url|jar)$' | \
+		wc -l ) -gt 0 ]
+	then
+		exit 1
+	fi
+else
+	if [ $( ${UNZIP} -l "${Z}" | \
+		tail -n +4 | head -n -2 | \
+		egrep -i '[.](bat|btm|cmd|com|cpl|dat|dll|exe|lnk|msi|pif|prf|reg|scr|vb|vbs|url|jar)$' | \
+		wc -l ) -gt 0 ]
+	then
+		exit 1
+	fi
 fi
 
 exit 0
